#!/bin/sh

# Copyright (C) 2004-2016 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

RC_FFMPEG=/disk/cdn/rc.cdn
[ -f $RC_FFMPEG ] && sh $RC_FFMPEG

PROD_ID=FFMpeg
TITLE='CDN'
CGI_SCRIPT=cdn_savelic.cgi

HasPermLic=0
/qvidium/LicenseId $PROD_ID > /dev/null 2>&1
[ $? = 0 ] && HasPermLic=1 # program is registered
output=`/qvidium/LicenseId $PROD_ID 2>&1 | awk '{printf("%s<br>\n", $0)}'`

if [ $HasPermLic = 1 ] ; then # program is registered

    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>$TITLE Registration</TITLE>
</HEAD>
<BODY>
<H3>$TITLE Registration</H3>
$output
</BODY>
</HTML>
ENDOFTEXT

else # program is not registered

    VAR=`sn`
    echo $VAR | grep serial_number > /dev/null
    [ $? = 0 ] && eval "$VAR" # $serial_number
    [ "$serial_number" = "" ] && serial_number='<span style="color:red">Not Found!!!</span>'

    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>$TITLE  Registration</TITLE>
<SCRIPT LANGUAGE=JAVASCRIPT>
function verify(){
    if (document.forms[0].upfile.value == "")
    {
        alert("Enter a file ending with '.lic'");
        return false;
    }
    else
    {
        return true;
    }
  }
</SCRIPT>
</HEAD>
<BODY>
<H3>$TITLE Registration</H3>
<b>$output
Serial Number = $serial_number</b>
<BR>
<BR>
Send the Identification and Serial Number to <a href="mailto:info@qvidium.com">info@QVidium.com</a>
<BR>
You will be sent a license file.
<P>
Browse for the QVidium license file, then press "Save".<BR>
<BR>
<FORM method='POST' enctype='multipart/form-data'
                    action='/cgi-bin/$CGI_SCRIPT'
                    onSubmit="return verify()">
<TABLE class=props cellSpacing="1" cellPadding="10" border="1">
  <TR>
    <TD>File </TD>
    <TD><INPUT TYPE=FILE NAME=upfile></TD>
  </TR>
</TABLE>
<BR>
<INPUT TYPE=SUBMIT VALUE="Save">
</FORM>

</BODY>
</HTML>
ENDOFTEXT

fi
