#!/bin/sh

# Copyright (C) 2004-2016 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

RC_FFMPEG=/disk/cdn/rc.cdn
[ -f $RC_FFMPEG ] && sh $RC_FFMPEG

FFMPEG_CONF=/flash/qvidium/cdn.conf


[ -f $FFMPEG_CONF ] && . $FFMPEG_CONF

[ "$UDP_PORT" = "" ] && UDP_PORT=1234

entry1_enable_checked=
[ "$ENTRY1_ENABLE" = 1 ] && entry1_enable_checked=checked
entry2_enable_checked=
[ "$ENTRY2_ENABLE" = 1 ] && entry2_enable_checked=checked

/qvidium/LicenseId -C /flash/qvidium/ffmpeg.lic FFMpeg > /dev/null 2>&1
if [ $? -gt 1 ] ; then
    MSG='CDN license not installed. Output will not work.'
elif pidof ffmpeg > /dev/null ; then
    MSG='CDN output running.'
else
    MSG='CDN output not started.'
fi
    
cat << EOT
<html>
<head>
  <title>CDN Output Configuration</title>
  <link rel="stylesheet" href="/style.css" type="text/css">
</head>
<body>
  <h3>CDN Output Configuration</h3>
  $MSG<p>
<form action="/cgi-bin/cdn_out_handle.cgi" method="get">
  <input value="Start" type="submit" name="start">
  <input value="Stop" type="submit" name="stop"><p>
  <table class=props border="1" cellspacing="1"  cellPadding="5" >
    <tr>
      <td align=center colSpan="2" nowrap>MPEG2-TS Input</td>
    </tr>
    <tr>
      <td nowrap>UDP Source Port</td>
      <td nowrap>
        <input type="text" name="UDP_PORT" size="32" maxlength="32" value="$UDP_PORT">
      </td>
    </tr>
    <tr>
      <td align=center colSpan="2" nowrap>Output 1</td>
    </tr>
    <tr>
      <td nowrap>Enable Output</td>
      <td nowrap>
        <input type="checkbox" name="ENTRY1_ENABLE" value="1" $entry1_enable_checked>Yes
      </td>
    </tr>
    <tr>
      <td nowrap>URI</td>
      <td nowrap>
        <input type="text" name="ENTRY1_URI" size="60" maxlength="120" value="$ENTRY1_URI">
      </td>
    </tr>
    <tr>
      <td nowrap>Stream Name</td>
      <td nowrap>
        <input type="text" name="ENTRY1_STREAMNAME" size="60" maxlength="120" value="$ENTRY1_STREAMNAME">
      </td>
    </tr>
    <tr>
      <td align=center colSpan="2" nowrap>Output 2</td>
    </tr>
    <tr>
      <td nowrap>Enable Output</td>
      <td nowrap>
        <input type="checkbox" name="ENTRY2_ENABLE" value="1" $entry2_enable_checked>Yes
      </td>
    </tr>
    <tr>
      <td nowrap>URI</td>
      <td nowrap>
        <input type="text" name="ENTRY2_URI" size="60" maxlength="120" value="$ENTRY2_URI">
      </td>
    </tr>
    <tr>
      <td nowrap>Stream Name</td>
      <td nowrap>
        <input type="text" name="ENTRY2_STREAMNAME" size="60" maxlength="120" value="$ENTRY2_STREAMNAME">
      </td>
    </tr>
  </table>
  <p>
  <input value="Update" type="submit" name="update">
</form>
</body>
</html>
EOT
