#!/bin/sh

UPDATE_FILE=update.tar.gz
RC_EXTRA=/flash/qvidium/rc.extra
EVOSTREAM_DIR=/disk/evostream
CDN_DIR=/disk/cdn
RC_CDN=$CDN_DIR/rc.cdn
EVOSTREAM_LIC=$EVOSTREAM_DIR/evostreamms/bin/License.lic

# Stop ffmpeg
if pidof ffmpeg > /dev/null ; then
    if [ -f $CDN_DIR/bin/cdn_stop ] ; then
        sh $CDN_DIR/bin/cdn_stop
    else
        killall ffmpeg
    fi
    sleep 1
fi

# Backup license
TMP_LIC=/tmp/EvoStreamLic.lic
[ -f $EVOSTREAM_LIC ] && cp $EVOSTREAM_LIC $TMP_LIC

# Clean directories
rm -rf $EVOSTREAM_DIR $CDN_DIR
sync

# Install new software
tar xf /tmp/$UPDATE_FILE -C /disk
rm -f /var/www/evomenu.js

# Restore license
if [ -f $TMP_LIC ] ; then
    cp $TMP_LIC $EVOSTREAM_LIC
    rm -f $TMP_LIC
fi

# Update rc.extra
LINE="[ -f $RC_CDN ] && $RC_CDN"
if [ ! -f $RC_EXTRA ] ; then
    echo $LINE > $RC_EXTRA
elif ! grep $RC_CDN $RC_EXTRA > /dev/null ; then
    echo $LINE >> $RC_EXTRA
fi
$RC_CDN

# Cleanup files
rm -f $UPDATE_FILE script.sh install.sh
sync

exit 0
